/* OperServ Help Texts

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

static const char *os_help_start[] =
{
    "*** \2" OS " Help\2 ***",
    " ",
    NULL
};

static const char *os_help_end[] =
{  
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *os_help_global[] =
{
    "\2GLOBAL\2          Send a global notice",
    NULL
};

static const char *os_base_help[] =
{ 
    "\2JUPE\2            Jupiter a server or nick",
    "\2AKILL\2           Add, Remove, or List AutoKills",
    "\2AUTH\2            Authenticate as an SRA",
    NULL
};

static const char *os_sra_help[] =
{  
    "\2DEAUTH\2          De-Authenticate as an SRA",
    "\2SHUTDOWN\2        Terminate OperStats",
    "\2LOGONMSG\2        Add, Remove, or List LogonMSGs",
    "\2RAW\2             Send information to the uplink",
    "\2INJECT\2          Fake information from the uplink",
    "\2DEBUG\2           Set debugging level",
    "\2UPDATE\2          Force a database update",
    "\2REHASH\2          Re-Read " CONFIGFILE,
    "\2SETTINGS\2        Show various OperStats settings",
    NULL
};

static const char *os_sra_help_with_ss[] =
{
    "\2SENDPINGS\2       Force an update of " SS "'s lag times",
    NULL
};

static const char *settings_help[] =
{ 
    "Syntax: \2SETTINGS\2",  
    " ",
    "Shows various OperStats settings as defined in",
    "operstats.conf.",
    " ",
    "Example: \2SETTINGS\2",
    NULL
};

static const char *jupe_help[] =
{
    "Syntax: \2JUPE Server|User [Reason]\2",
    " ",
    "Jupiters the specified server or user. This will remove",
    "the server or user from the network if it already exists.",
    "Jupes will remain in place until SQUIT/KILLed, or until",
    "OperStats is reset. If a reason is given, it will be used",
    "in any SQUIT/KILL of an existing server/user, and in the",
    "jupe's description/realname.",
    " ",
    "Examples: \2JUPE server.network.org Delinked\2",
    "          \2JUPE someuser This nick may not be used.\2",
    NULL
};

static const char *auth_help[] =
{   
    "Syntax: \2AUTH NickName Password\2",  
    " ",
    "Allows you to authenticate to " OS " for SRA access.",
    "Once you have identified, you will be recognized as an SRA",
    "until you disconnect from the network or \2DEAUTH\2.", 
    " ",
    "Example: \2AUTH SRANick SRAPass\2",
    NULL
};

static const char *deauth_help[] =
{
    "Syntax: \2DEAUTH\2",   
    " ",
    "Causes you to no longer be recognized as an SRA. You will",
    "need to re-\2AUTH\2 to regain SRA access.",
    " ",
    "Example: \2DEAUTH\2",
    NULL
};

static const char *shutdown_help[] =
{
    "Syntax: \2SHUTDOWN [Reason]\2",
    " ",
    "Causes OperStats to terminate. DBs will be saved beforehand.",
    "If you give a reason, this will be used in a shutdown globop",
    "and log message.",
    " ",
    "Examples: \2SHUTDOWN\2",
    "          \2SHUTDOWN Reason\2",
    NULL
};

static const char *raw_help[] =
{
    "Syntax: \2RAW Data\2",
    " ",
    "Sends information to OperStats' uplink. Syntax is important.",
    "There is no limit to what you can do with \2RAW\2, provided",
    "your IRCd supports it.",
    " ",
    "The \2RAW\2 command is not supported in any way.",
    " ",
    "Examples: \2RAW SVSNICK OldNick NewNick :0\2",
    "          \2RAW :OperServ NOTICE $*.net :Hi everybody!\2",
    NULL
};

static const char *inject_help[] =
{
    "Syntax: \2INJECT Data\2",
    " ",
    "Fakes information from OperStats' uplink. Only certain information",
    "will be processed. See process.c for examples on what types of",
    "information will be processed. Note that misuse of this command",
    "(such as injecting a QUIT from a user) WILL cause OperStats to be",
    "desynced from the network and may cause crashes.",
    " ",
    "The \2INJECT\2 command is not supported in any way.",
    " ",
    "Example: \2INJECT :User PRIVMSG StatServ :STATS\2",
    NULL
};

static const char *update_help[] =
{
    "Syntax: \2UPDATE\2",
    " ",
    "Forces OperStats to save the DBs to disk.",
    " ",
    "Examples: \2UPDATE\2",
    NULL
};

static const char *debug_help[] =
{
    "Syntax: \2DEBUG Level\2",
    " ",
    "Sets the debugging level. There are 4 debug mode levels:",
    " ",
    "\2Level 0\2: No debug logging (disabled)",
    "\2Level 1\2: All server<->server traffic is logged.",
    "\2Level 2\2: Some function calls are logged.",
    "\2Level 3\2: Both server<->server traffic and some function calls are logged.",
    " ",
    "Logging will be done in debug.log, not " LOGFILE ".",
    " ",
    "Examples: \2DEBUG 0\2",
    "          \2DEBUG 1\2",
    "          \2DEBUG 2\2",
    "          \2DEBUG 3\2",
    NULL
};

static const char *global_help[] =
{
    "Syntax: \2GLOBAL Message\2",
    " ",
    "Sends a global notice. If your TLD setting is correct, all users",
    "on the network will see the notice.",
    " ",
    "Example: \2GLOBAL We are doing some routing, There will be a short split.\2",
    NULL
};

static const char *rehash_help[] =
{
    "Syntax: \2REHASH\2",
    " ",
    "Re-Reads " CONFIGFILE ". If you have any invalid settings, this",
    "will cause services to shut down. The DBs will be saved to disk",
    "beforehand in case this happens.",
    " ",
    "Example: \2REHASH\2",
    NULL
};

static const char *sendpings_help[] =
{
    "Syntax: \2SENDPINGS\2",
    " ",
    "Forces " SS " to update it's PING times for MAP. All",
    "servers will be pinged simultaneously, and this may cause a",
    "small lag spike. The PING times are updated automatically as",
    "defined in " CONFIGFILE ".",
    " ",
    "Example: \2SENDPINGS\2",
    NULL
};  

static const char *logonmsg_help[] =
{
    "Syntax: \2LOGONMSG ADD|DEL|LIST [Text|Number|ALL]",
    " ",
    "Allows you to add, remove or list LogonMSGs. The syntax for",
    "each command is as follows:",
    " ",
    "\2ADD Text for LogonMSG\2",
    "\2DEL Number|ALL\2",
    "\2LIST\2",
    " ",
    "Due to the nature of LogonMSGs, \2DEL\2 and \2LIST\2 do not",
    "attempt any matching against the message contents.",
    " ",
    "Examples: \2LOGONMSG ADD Welcome to ExampleNet!\2",
    "          \2LOGONMSG DEL 1\2",
    "          \2LOGONMSG DEL ALL\2",
    "          \2LOGONMSG LIST\2",
    NULL
};

static const char *akill_help[] =
{
    "Syntax: \2AKILL ADD|DEL|LIST [Mask|Number|Option]\2",
    " ",
    "Allows you to add, remove, or list AutoKills. There are a",
    "number of parameters for each command:",
    " ",
    "\2ADD Mask|Nick [!P] [!R] [!T Expire Time] Reason\2 - The expire",
    "time is optional. If no expire time is given, the default will",
    "be used. Expire times are in the format of Days, Hours, Minutes,",
    "Seconds. For example, an expire time of 5 days, 1 hour and 30",
    "minutes would be 5d1h30m, an expire time of 10 days, 0 hours",
    "and 30 minutes would be 10d30m. You must give the \2!T\2 token to",
    "have an expire time understood. If the \2!R\2 token is given,",
    "OperStats will treat the mask as a realname, and will AKill",
    "any users with matching realnames. If the \2!P\2 token is given,",
    "the AKill will never expire. If both the \2!T\2 and \2!P\2 tokens are",
    "given, The \2!P\2 token will have no effect. If you give a nickname",
    "instead of a mask, OperStats will find that user's mask and",
    "AutoKill it. If the user is not online, you will have to provide",
    "a valid mask. The \2!P\2 token must always be given before the \2!R\2",
    "token, and the \2!R\2 token must always be given before the \2!T\2",
    "token.",
    " ",
    "\2DEL Mask|Number|ALL\2 - Remove an AutoKill.",
    " ",
    "\2LIST [FULL] [Match]\2 - Search for an AKill. If the",
    "first parameter is \2FULL\2, AKill reasons will be displayed,",
    "otherwise they will be omitted. If \2Match\2 is specified, it",
    "will be matched against the AKill mask and setter.",
    " ",
    "Examples: \2AKILL ADD *@*.someisp.com You are not welcome.\2",
    "          \2AKILL ADD *@*.someisp.com !T 5d1h30m You are not welcome.\2",
    "          \2AKILL ADD *@*.someisp.com !P You are not welcome.\2",
    "          \2AKILL ADD *sub7* !R Sub7 - You are not welcome.\2",
    "          \2AKILL ADD *sub7* !R !T 10d Sub7 - You are not welcome.\2",
    "          \2AKILL DEL *@*.someisp.com\2",
    "          \2AKILL DEL 25\2",
    "          \2AKILL DEL ALL\2",
    "          \2AKILL LIST\2",
    "          \2AKILL LIST *match*\2",
    "          \2AKILL LIST FULL\2",
    "          \2AKILL LIST FULL *match*\2",
    NULL
};
