/* StatServ Help Texts

   OperStats - Copyright (c) 2000-2001 Darcy Grexton
   Contact: cygnus@uniserve.ca, skold @ HabberNet, ICQ #6285178

   This program is free but copyrighted software; see the file COPYING
   for details.
 */

static const char *ss_help_start[] =
{
    "*** \2" SS " Help\2 ***",
    " ",
    NULL
};

static const char *ss_help_end[] =
{  
    " ",
    "*** \2End of Help\2 ***",
    NULL
};

static const char *ss_base_help[] =
{ 
    "\2STATS\2           Show statistics on the network",
    NULL
};

static const char *ss_help_tld[] =
{
    "\2TLD\2             Show the country associated with a TLD",
    NULL
};

static const char *ss_oper_help[] =
{ 
    "\2SERVERS\2         Show a listing of servers and versions",
    "\2MAP\2             Show a map of the network",
    NULL
};

static const char *ss_oper_help_ssonly[] =
{
    "\2AUTH\2            Authenticate as an SRA",
    NULL
};

static const char *ss_sra_help_ssonly[] =
{
    "\2DEAUTH\2          De-Authenticate as an SRA",
    "\2SHUTDOWN\2        Terminate OperStats",
    "\2RAW\2             Send information to the uplink",
    "\2INJECT\2          Fake information from the uplink",
    "\2DEBUG\2           Set debugging level",
    "\2UPDATE\2          Force a database update",
    "\2REHASH\2          Re-Read " CONFIGFILE,
    "\2SENDPINGS\2       Force an update of " SS "'s lag times",
    "\2SETTINGS\2        Show various OperStats settings",
    NULL
};

static const char *ss_sra_help[] =
{
    "\2FLUSH\2           Flush a server from memory",
    "\2RESET\2           Reset a server's statistics",
    NULL
};

static const char *stats_help[] =
{
    "Syntax: \2STATS\2",
    " ",
    "Shows various information about the network, such as how many",
    "users servers and channels there are, how fast the network is",
    "running, and max user, server and channel counts.",
    " ",
    "Example: \2STATS\2",
    NULL
};

static const char *stats_help_oper[] =
{ 
    "Syntax: \2STATS [Server]\2",
    " ",
    "Shows various information about the network, such as how many",
    "users servers and channels there are, how fast the network is",
    "running, and max user, server and channel counts. If \2Server\2",
    "is provided, statistics on that server are shown.",
    " ",
    "Examples: \2STATS\2",
    "          \2STATS server.network.org\2",
    NULL
};

static const char *flush_help[] =
{ 
    "Syntax: \2FLUSH Server\2",
    " ",
    "Removes a server from memory. This should only be used when",
    "the server has permanently left the network. The server will",
    "be re-entered into memory if it is seen again. If you want to",
    "reset a server's statistics, see the \2RESET\2 command.",
    " ",
    "Example: \2FLUSH server.network.org\2",
    NULL
};

static const char *reset_help[] =
{ 
    "Syntax: \2RESET Server\2",
    " ",
    "Resets the given server's statistics. This will not remove the",
    "server from memory, only reset its stats. If you want to remove",
    "a server (ie, in the event of a delink), see the \2FLUSH\2 command.",
    " ",
    "Example: \2RESET server.network.org\2",
    NULL
};

static const char *tld_help[] =
{ 
    "Syntax: \2TLD TopLevelDomain\2",
    " ",
    "Show which country or organization a given top-level domain",
    "represents. \2" SS "\2 will match the TLD with wildcards, so",
    "providing a domain may give a false match.",
    " ",
    "Example: \2TLD net\2",
    NULL
};

static const char *servers_help[] =
{
    "Syntax: \2SERVERS\2",
    " ",
    "Shows a list of the servers currently on the network, what",
    "version of IRCd they are running, and how they are configured.",
    " ",
    "Example: \2SERVERS\2",
    NULL
};

static const char *map_help[] =
{
    "Syntax: \2MAP\2",
    " ",
    "Shows a map of how the network is currently structured. A breakdown",
    "of the users-per-server and the server's current ping time are also",
    "included.",
    " ",
    "Example: \2MAP\2",
    NULL
};

static const char *auth_help[] =
{
    "Syntax: \2AUTH NickName Password\2",
    " ",
    "Allows you to authenticate to " OS " for SRA access.",
    "Once you have identified, you will be recognized as an SRA",
    "until you disconnect from the network or \2DEAUTH\2.",
    " ",
    "Example: \2AUTH SRANick SRAPass\2",
    NULL
};
    
static const char *deauth_help[] =
{ 
    "Syntax: \2DEAUTH\2",
    " ",
    "Causes you to no longer be recognized as an SRA. You will",
    "need to re-\2AUTH\2 to regain SRA access.",
    " ",
    "Example: \2DEAUTH\2",
    NULL
};

static const char *shutdown_help[] =
{
    "Syntax: \2SHUTDOWN [Reason]\2",
    " ",
    "Causes OperStats to terminate. DBs will be saved beforehand.",
    "If you give a reason, this will be used in a shutdown globop",
    "and log message.",
    " ",
    "Examples: \2SHUTDOWN\2",
    "          \2SHUTDOWN Reason\2",
    NULL
};
    
static const char *raw_help[] =
{
    "Syntax: \2RAW Data\2",
    " ",
    "Sends information to OperStats' uplink. Syntax is important.",
    "There is no limit to what you can do with \2RAW\2, provided",
    "your IRCd supports it.",
    " ",
    "The \2RAW\2 command is not supported in any way.",
    " ",
    "Examples: \2RAW SVSNICK OldNick NewNick :0\2",
    "          \2RAW :StatServ NOTICE $*.net :Hi everybody!\2",
    NULL
};

static const char *inject_help[] =
{
    "Syntax: \2INJECT Data\2",
    " ",
    "Fakes information from OperStats' uplink. Only certain information",
    "will be processed. See process.c for examples on what types of",
    "information will be processed. Note that misuse of this command",
    "(such as injecting a QUIT from a user) WILL cause OperStats to be",
    "desynced from the network and may cause crashes.",
    " ",
    "The \2INJECT\2 command is not supported in any way.",
    " ",
    "Example: \2INJECT :User PRIVMSG StatServ :STATS\2",
    NULL
};
    
static const char *update_help[] =
{
    "Syntax: \2UPDATE\2",
    " ",
    "Forces OperStats to save the DBs to disk.",
    " ",
    "Examples: \2UPDATE\2",   
    NULL
};

static const char *debug_help[] =
{
    "Syntax: \2DEBUG Level\2",
    " ",
    "Sets the debugging level. There are 4 debug mode levels:",
    " ",
    "\2Level 0\2: No debug logging (disabled)",
    "\2Level 1\2: All server<->server traffic is logged.",
    "\2Level 2\2: Some function calls are logged.",
    "\2Level 3\2: Both server<->server traffic and some function calls are logged",
    " ",
    "Logging will be done in debug.log, not " LOGFILE ".",
    " ",
    "Examples: \2DEBUG 0\2",
    "          \2DEBUG 1\2",
    "          \2DEBUG 2\2",
    "          \2DEBUG 3\2",  
    NULL
};

static const char *rehash_help[] =
{
    "Syntax: \2REHASH\2",   
    " ",
    "Re-Reads " CONFIGFILE ". If you have any invalid settings, this",
    "will cause services to shut down. The DBs will be saved to disk",
    "beforehand in case this happens.",
    " ",
    "Example: \2REHASH\2",
    NULL
};
    
static const char *sendpings_help[] =
{
    "Syntax: \2SENDPINGS\2",
    " ",
    "Forces " SS " to update it's PING times for MAP. All",
    "servers will be pinged simultaneously, and this may cause a",
    "small lag spike. The PING times are updated automatically as",
    "defined in " CONFIGFILE ".",
    " ",
    "Example: \2SENDPINGS\2",
    NULL
};

static const char *settings_help[] =
{
    "Syntax: \2SETTINGS\2",
    " ",
    "Shows various OperStats settings as defined in",
    "operstats.conf.",
    " ",
    "Example: \2SETTINGS\2",
    NULL
};

